# Contributing

Contributions are made through pull requests into the main branch of the repository. Each pull request should be reviewed with at least one maintainer from each of the affected sections of the code base as well as pass each of the merge requirements.

### Branch Naming Patterns
If branching on the main repository the following naming patterns should be used. In general `lisp-case`/`spinal-case`/`kebab-case` should be used.

|Change Type|Naming Pattern|
|---|---|
|Fix|`fix/{issue number}-{short-description}`|
|Feature|`feat/{issue number}-{short-description}`|
|Documentation|`doc/{issue number}-{short-description}`|
|Other|`other/{issue number}-{short-description}`|

### Merge Requirements

|Requirement|Action|
|---|---|
|Approval|Non-involved maintainer or core development member create an `Approved` review on the PR.|
|CI|A continuous integration build must pass.|
|Code Style|Code must be the same as the rest of the codebase.|
|Manual Test|Code must be manually tested to ensure that it is working as intended.|
|Other|Other requirements may be imposed, such as a version increment.|

All of these requirements can be bypassed within good reason by a core development member - if this is the case the reason should be commented on the pull request.

Once a merge is approved, a squash merge should occur with the pull request branch deleted afterwards.

### Maintainers
*Note: this section may be incomplete, review the relevant repository for more information.*

|Integration|Maintainer|
|---|---|
|HipChat|[@mrkno](https://github.com/mrkno)|
|Facebook|[@mrkno](https://github.com/mrkno)|
|Grunt|[@Awarua-](https://github.com/Awarua-)|
|Discord|[@Awarua-](https://github.com/Awarua-)|
|Messenger|[@mrkno](https://github.com/mrkno)|
|MS/Skype Bots|[@Awarua-](https://github.com/Awarua-)|
|Skype|[@mrkno](https://github.com/mrkno)|
|Slack|[@Awarua-](https://github.com/Awarua-)|
|Telegram|[@phillipadsmith](https://github.com/phillipadsmith)|
|Test|[@mrkno](https://github.com/mrkno)|

|Feature|Maintainer|
|---|---|
|Docker|[@MatthewHartstonge](https://github.com/MatthewHartstonge)|
|Core|[`core-development` Github Team](https://github.com/orgs/concierge/teams/core-development)|
|Tests|[@Awarua-](https://github.com/Awarua-)|
|Repository|[@mrkno](https://github.com/mrkno)|

|Translation|Maintainer|
|---|---|
|en|[`core-development` Github Team](https://github.com/orgs/concierge/teams/core-development)|
|pl|[@p0358](https://github.com/p0358)|
|hi|[@ParasDPain](https://github.com/ParasDPain)|
